<?php
global $wp_query;
$large_first_image = $args['large_first_image'] ?? true;
$has_video = $args['has_video'] ?? false;
$post_counter = 0;
$query = $args['query'] ?? $wp_query;
if ($query->have_posts()) {
    while ($query->have_posts()) {
        $post_counter++;
        $end = $query->post_count;
        $query->the_post();

        if ( $post_counter == 1 ) : 
            //get_template_part('content', 'post-main-rfo', ['full_width' => $post_count === 1, 'has_video' => $has_video ]);
            get_template_part('content', 'post-rfo', ['full_width' => $post_count === 1, 'has_video' => $has_video ]);
        elseif ( $post_counter == 2) :     
            get_template_part('content', 'post-rfo', ['full_width' => $post_count === 1 && $large_first_image, 'has_video' => $has_video]);
        else:?> 
            <?get_template_part('content', 'post-rfo', ['full_width' => false, 'has_video' => $has_video]);?>
        <?php endif; ?>    
        
    <?wp_reset_postdata();
    }
}?>